GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Macros | Typedefs
config_protobuf.h File Reference
`#include <google/protobuf/stubs/common.h>`
`#include <google/protobuf/message.h>`
`#include <google/protobuf/io/coded_stream.h>`
`#include <google/protobuf/io/zero_copy_stream.h>`

Go to the source code of this file.

## Namespaces
| grpc
| grpc::protobuf
| grpc::protobuf::io

## Macros
#define | GRPC_CUSTOM_PROTOBUF_INT64 ::google::protobuf::int64
#define | GRPC_CUSTOM_MESSAGE ::google::protobuf::Message
#define | GRPC_CUSTOM_ZEROCOPYOUTPUTSTREAM ::google::protobuf::io::ZeroCopyOutputStream
#define | GRPC_CUSTOM_ZEROCOPYINPUTSTREAM ::google::protobuf::io::ZeroCopyInputStream
#define | GRPC_CUSTOM_CODEDINPUTSTREAM ::google::protobuf::io::CodedInputStream

## Typedefs
typedef ::google::protobuf::Message | grpc::protobuf::Message
typedef ::google::protobuf::int64 | grpc::protobuf::int64
typedef ::google::protobuf::io::ZeroCopyOutputStream | grpc::protobuf::io::ZeroCopyOutputStream
typedef ::google::protobuf::io::ZeroCopyInputStream | grpc::protobuf::io::ZeroCopyInputStream
typedef ::google::protobuf::io::CodedInputStream | grpc::protobuf::io::CodedInputStream

## Macro Definition Documentation

#define GRPC_CUSTOM_CODEDINPUTSTREAM ::google::protobuf::io::CodedInputStream

#define GRPC_CUSTOM_MESSAGE ::google::protobuf::Message

#define GRPC_CUSTOM_PROTOBUF_INT64 ::google::protobuf::int64

#define GRPC_CUSTOM_ZEROCOPYINPUTSTREAM ::google::protobuf::io::ZeroCopyInputStream

#define GRPC_CUSTOM_ZEROCOPYOUTPUTSTREAM ::google::protobuf::io::ZeroCopyOutputStream